$ErrorActionPreference = 'Stop';

$packageName = 'XMind'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://www.xmind.net/xmind/downloads/xmind-7-update1-windows.exe'
$url64      = 'https://www.xmind.net/xmind/downloads/xmind-7-update1-windows.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'XMind*'

  checksum      = '40267d26e9d9fd3bb40766b69aa41aac2fbd158fb91cffc338f2809af05584f0'
  checksumType  = 'sha256'
  checksum64    = '40267d26e9d9fd3bb40766b69aa41aac2fbd158fb91cffc338f2809af05584f0'
  checksumType64= 'sha256'

  silentArgs    = "/verysilent"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
